//===============================================================================
//===============================================================================
#ifndef __IOINTERRUPT_H__
#define __IOINTERRUPT_H__

#include "zc.h"
#include "MASSESCHIP_DEFINE.H"

#define ENABLE							1
#define DISABLE							0

extern bit	b_IO_Interrupt_Flag;
/* 端口变化中断端口选择 */
enum IO_SELECT
{
/* 选用IOD端口时只有IOD0,及IOD1可用 */
	INTERRUPT_IOA0 = 0,INTERRUPT_IOA1,INTERRUPT_IOA2,INTERRUPT_IOA3,INTERRUPT_IOA4,INTERRUPT_IOA5,INTERRUPT_IOA6,INTERRUPT_IOA7,
	INTERRUPT_IOB0,INTERRUPT_IOB1,INTERRUPT_IOB2,INTERRUPT_IOB3,INTERRUPT_IOB4,INTERRUPT_IOB5,INTERRUPT_IOB6,INTERRUPT_IOB7,
	INTERRUPT_IOC0,INTERRUPT_IOC1,INTERRUPT_IOC2,INTERRUPT_IOC3,INTERRUPT_IOC4,INTERRUPT_IOC5,INTERRUPT_IOC6,INTERRUPT_IOC7,
	INTERRUPT_IOD0,INTERRUPT_IOD1,
};
//=================================端口中断函数声明===========================================
void SYSTEM_INIT(void);//系统初始化
void Delay_1ms(u16 Delay_Count);//延时
void INTERRUPT_SETIO(enum IO_SELECT interruptIo);//PWM1复用口选择设置
void IO_Interrupt_INIT(void);//IO变化中断初始化
void IO_Interrupt_Work(void);//IO变化中断
void IO_Interrupt(void);//IO变化中断处理程序

#endif
