//===============================================================================
//===============================================================================
#ifndef __EEPROM_H__
#define __EEPROM_H__

#include "zc.h"
#include "MASSESCHIP_DEFINE.H"

#define ENABLE							1
#define DISABLE							0

#define  _DF_FLASH_EE_PageSize 			64		//不可修改
//=================================CMP函数声明===========================================
void SYSTEM_INIT(void);//系统初始化
void Delay_1ms(u16 Delay_Count);//延时
extern unsigned char Flash_Buff[_DF_FLASH_EE_PageSize]; //Flash缓冲区
unsigned char FLASH_EE_Power_Check(void);//上电对EE_FLASH的进行查找
void FLASH_EE_Read(unsigned char* ReadDataAddr,unsigned char ReadOffsetAddr,unsigned char ReadNumber);//EE Flash 读 
unsigned char FLASH_EE_WRITE(void);//EE Flash 写 
static void Flash_PageWrite(unsigned int WriteAddr,unsigned int Flash_Addr_begin,unsigned int Flash_Addr_End);//Flash页写 
static void Flash_PageErase(unsigned int EraseAddr,unsigned int Flash_Addr_begin,unsigned int Flash_Addr_End);//Flash页擦 
static void Flash_EE_Unlock(void);//解锁
static void Flash_EE_lock(void);//上锁
void Flash_Buff_Write(void);//BUF区数据写入
void EEPROM_Work(void);//EE处理程序
void EEPROM_INIT(void);

#endif